package studio.halbear.hem.procedures;

import studio.halbear.hem.HemMod;

import net.minecraft.world.World;
import net.minecraft.world.IWorld;

import java.util.Map;

public class BlueleafFluorescentLeavesParticleSpawningConditionProcedure {

	public static boolean executeProcedure(Map<String, Object> dependencies) {
		if (dependencies.get("world") == null) {
			if (!dependencies.containsKey("world"))
				HemMod.LOGGER.warn("Failed to load dependency world for procedure BlueleafFluorescentLeavesParticleSpawningCondition!");
			return false;
		}
		IWorld world = (IWorld) dependencies.get("world");
		if (!((world instanceof World) ? ((World) world).isDaytime() : false)) {
			return true;
		}
		return false;
	}
}
